%global _docdir_fmt %{name}

Name:           python-waitress
Version:        1.1.0
Release:        5
Summary:        A WSGI server for Python 2 and 3
License:        ZPLv2.1
URL:            https://github.com/Pylons/waitress
Source0:        https://github.com/Pylons/waitress/archive/v%{version}/waitress-%{version}.tar.gz
BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.7+ and Python 3.5+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%package -n python2-waitress
%{?python_provide:%python_provide python2-waitress}
Summary:        A WSGI server for Python 2 and 3
BuildRequires:  python2-devel, python2-setuptools, python2-nose, python2-coverage

%description -n python2-waitress
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.7+ and Python 3.5+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%package -n python3-waitress
%{?python_provide:%python_provide python3-waitress}
Summary:        A WSGI server for Python 2 and 3
BuildRequires:  python3-devel, python3-setuptools, python3-nose, python3-coverage

%description -n python3-waitress
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.7+ and Python 3.5+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%prep
%autosetup -n waitress-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-waitress
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.txt
%{python2_sitelib}/*

%files -n python3-waitress
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.txt
%{_bindir}/waitress-serve
%{python3_sitelib}/*

%changelog
* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 1.1.0-5
- init package
